org.apache.xmlbeans.impl.regex

## Class ParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.xmlbeans.impl.regex.ParseException

All Implemented Interfaces:
  Serializable

    public class ParseException
    extends RuntimeException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ParseException(String mes, int location)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getLocation()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ParseException

    public ParseException(String mes,
                          int location)

### Method Detail

#### getLocation

    public int getLocation()

Returns:
  -1 if location information is not available.